Package org.eclipse.cdt.utils.coff

## Class PE.NTOptionalHeader

- java.lang.Object
- - org.eclipse.cdt.utils.coff.PE.NTOptionalHeader

Enclosing class:
  PE

    public static class PE.NTOptionalHeader
    extends Object

### Field Summary

Fields
`int` `CheckSum`
`PE.IMAGE_DATA_DIRECTORY[]` `DataDirectory`
`short` `DLLCharacteristics`
`int` `FileAlignment`
`int` `ImageBase`
`int` `LoaderFlags`
`short` `MajorImageVersion`
`short` `MajorOperatingSystemVersion`
`short` `MajorSubsystemVersion`
`short` `MinorImageVersion`
`short` `MinorOperatingSystemVersion`
`short` `MinorSubsystemVersion`
`static int` `NTHDRSZ`
`int` `NumberOfRvaAndSizes`
`byte[]` `Reserved`
`int` `SectionAlignment`
`int` `SizeOfHeaders`
`int` `SizeOfHeapCommit`
`int` `SizeOfHeapReserve`
`int` `SizeOfImage`
`int` `SizeOfStackCommit`
`int` `SizeOfStackReserve`
`short` `Subsystem`

### Constructor Summary

Constructors
`NTOptionalHeader​(RandomAccessFile file)`
`NTOptionalHeader​(RandomAccessFile file, long offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NTHDRSZ

    public static final int NTHDRSZ

See Also:
  Constant Field Values

#### ImageBase

    public int ImageBase

#### SectionAlignment

    public int SectionAlignment

#### FileAlignment

    public int FileAlignment

#### MajorOperatingSystemVersion

    public short MajorOperatingSystemVersion

#### MinorOperatingSystemVersion

    public short MinorOperatingSystemVersion

#### MajorImageVersion

    public short MajorImageVersion

#### MinorImageVersion

    public short MinorImageVersion

#### MajorSubsystemVersion

    public short MajorSubsystemVersion

#### MinorSubsystemVersion

    public short MinorSubsystemVersion

#### Reserved

    public byte[] Reserved

#### SizeOfImage

    public int SizeOfImage

#### SizeOfHeaders

    public int SizeOfHeaders

#### CheckSum

    public int CheckSum

#### Subsystem

    public short Subsystem

#### DLLCharacteristics

    public short DLLCharacteristics

#### SizeOfStackReserve

    public int SizeOfStackReserve

#### SizeOfStackCommit

    public int SizeOfStackCommit

#### SizeOfHeapReserve

    public int SizeOfHeapReserve

#### SizeOfHeapCommit

    public int SizeOfHeapCommit

#### LoaderFlags

    public int LoaderFlags

#### NumberOfRvaAndSizes

    public int NumberOfRvaAndSizes

#### DataDirectory

    public PE.IMAGE_DATA_DIRECTORY[] DataDirectory

### Constructor Detail

#### NTOptionalHeader

    public NTOptionalHeader​(RandomAccessFile file)
                     throws IOException

Throws:
  `IOException`

#### NTOptionalHeader

    public NTOptionalHeader​(RandomAccessFile file,
                            long offset)
                     throws IOException

Throws:
  `IOException`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`